GET
/
staff-tasks
/
{uuid}
Get a staff task
curl --request GET \
  --url https://{server}.sanicus-connect.com/staff/staff-tasks/{uuid} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{server}.sanicus-connect.com/staff/staff-tasks/{uuid}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{server}.sanicus-connect.com/staff/staff-tasks/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://{server}.sanicus-connect.com/staff/staff-tasks/{uuid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://{server}.sanicus-connect.com/staff/staff-tasks/{uuid}"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
HttpResponse<String> response = Unirest.get("https://{server}.sanicus-connect.com/staff/staff-tasks/{uuid}")
.header("Authorization", "Bearer <token>")
.asString();
require 'uri'
require 'net/http'

url = URI("https://{server}.sanicus-connect.com/staff/staff-tasks/{uuid}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
{
  "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "uuidTenant": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "uuidOperatingZone": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "uuidShiftAssignment": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "uuidStaff": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "staffName": "<string>",
  "title": "<string>",
  "scheduledTime": "2023-11-07T05:31:56Z",
  "dueBy": "2023-11-07T05:31:56Z",
  "sequenceNo": 123,
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"uuidTenant": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"uuidOperatingZone": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"uuidShiftAssignment": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"uuidStaff": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"staffName": "<string>",
"title": "<string>",
"scheduledTime": "2023-11-07T05:31:56Z",
"dueBy": "2023-11-07T05:31:56Z",
"sequenceNo": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"uuidTenant": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"uuidOperatingZone": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"uuidShiftAssignment": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"uuidStaff": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"staffName": "<string>",
"title": "<string>",
"scheduledTime": "2023-11-07T05:31:56Z",
"dueBy": "2023-11-07T05:31:56Z",
"sequenceNo": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

OAuth2 JWT issued by the Sanicus auth server. All endpoints require a valid token.

Path Parameters

uuid
string<uuid>
required

UUID of the staff task

Response

Task found

uuid
string<uuid>
uuidTenant
string<uuid>
uuidOperatingZone
string<uuid>
uuidShiftAssignment
string<uuid>
uuidStaff
string<uuid>
staffName
string
title
string
scheduledTime
string<date-time>
dueBy
string<date-time>
sequenceNo
integer<int32>
status
enum<string>
Available options:
PENDING,
IN_PROGRESS,
COMPLETED,
MISSED,
SKIPPED
createdAt
string<date-time>
updatedAt
string<date-time>